Bug 15762 - Fields editable in PatronSelfRegistrationBorrowerUnwantedField may be hidden by BorrowerUnwantedField
Summary: Fields editable in PatronSelfRegistrationBorrowerUnwantedField may be hidden ...
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-08 22:42 UTC by Barton Chittenden
Modified: 2016-06-22 12:36 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Barton Chittenden 2016-02-08 22:42:23 UTC
It is possible for borrowers to create entries in their borrower record in the self registration process (as allowed by the system preference PatronSelfRegistrationBorrowerUnwantedField) that are hidden and un-editable via BorrowerUnwantedField.
Comment 1 Katrin Fischer 2016-02-08 22:44:23 UTC
Hm, I am not sure how to solve this in a good way in the code. Looks more like a configuration issue?
Comment 2 Barton Chittenden 2016-02-09 06:02:46 UTC
(In reply to Katrin Fischer from comment #1)
> Hm, I am not sure how to solve this in a good way in the code. Looks more
> like a configuration issue?

If the configuration requires the duplication of fields to omit from the self registration page and the rest of the OPAC, I disagree -- that's just inviting breakage.

This is what seems logical to me:

BorrowerUnwantedField blocks the display and editing of fields on the OPAC *including the self registration page*

PatronSelfRegistrationBorrowerUnwantedField contains additional fields that are to be blocked on the self registration page, but might be visible in other parts of the OPAC.

That looks like concatenation of two arrays to me, plus or minus a bit of de-duplication. Am I missing something here?
Comment 3 Katrin Fischer 2016-02-09 07:13:36 UTC
No, now that you put it that way... seems like I was missing something :)
Comment 4 Owen Leonard 2016-06-21 14:34:43 UTC
I think a good solution would be to move the configuration of BorrowerUnwantedField and PatronSelfRegistrationBorrowerUnwantedField out of system preferences and into its own interface where a table of borrower table columns is shown and a checkbox can be selected for both "Show in OPAC" and "Show in staff client." Then JavaScript logic could be applied to prevent incorrect combinations.

This interface could save the selected data to the system preferences automatically. This would be a better user experience all around.
Comment 5 Barton Chittenden 2016-06-22 12:36:37 UTC
(In reply to Owen Leonard from comment #4)
> I think a good solution would be to move the configuration of
> BorrowerUnwantedField and PatronSelfRegistrationBorrowerUnwantedField out of
> system preferences and into its own interface where a table of borrower
> table columns is shown and a checkbox can be selected for both "Show in
> OPAC" and "Show in staff client." Then JavaScript logic could be applied to
> prevent incorrect combinations.
> 
> This interface could save the selected data to the system preferences
> automatically. This would be a better user experience all around.

I really like this idea.